Page MenuHomePhabricator

Request increased RAM for deployment-puppetdb03 in deployment-prep Cloud VPS project
Closed, ResolvedPublic

Description

Project Name: deployment-prep
Type of quota increase requested: RAM increase for an instance
Reason:

The deployment-puppetdb03 instance runs the Puppetdb and postgresql keeps triggering the OOM killer ( T248041 ). Even after some tweaking in the configuration, evidence is that 2G is not enough for the instance.

The request is thus to resize the instance to have more memory. It currently uses g2.cores1.ram2.disk20. I guess 4G will be enough leaning to changing the flavor to g2.cores2.ram4.disk40?

Horizon link: https://horizon.wikimedia.org/project/instances/05f311e9-1ef4-4acd-b467-adb59f6c2f93/

Event Timeline

hashar created this task.Dec 17 2020, 6:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 17 2020, 6:52 PM
hashar renamed this task from Request increased quota for <Replace Me> Cloud VPS project to Request increased RAM for deployment-puppetdb03 in deployment-prep Cloud VPS project.Dec 17 2020, 6:53 PM
Andrew assigned this task to nskaggs.Dec 23 2020, 4:40 PM

This was discussed and approved in the 2020-12-23 meeting.

nskaggs closed this task as Resolved.Dec 23 2020, 6:53 PM

Instance has been updated.

Mentioned in SAL (#wikimedia-cloud) [2020-12-23T19:03:38Z] <balloons> resized deployment-puppetdb03 to g2.cores2.ram4.disk40 (T270420)

Confirmed. Thank you very much